#
# spec file for package ConsoleKit (Version 0.2.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-config pam-devel pam-modules patch perl perl-base permissions pkg-config popt pwdutils rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-proto-devel xorg-x11-xtrans-devel zlib

Name:           ConsoleKit
%define         build_doc 0
%define pkg_name ConsoleKit
# WARNING: If you are editing ConsoleKit-doc.spec, STOP. Always edit
# ConsoleKit.spec and then run pre-checkin.sh which will create
# ConsoleKit-doc.spec based upon ConsoleKit.spec.
Url:            http://consolekit.freedesktop.org
BuildRequires:  dbus-1-devel dbus-1-glib-devel gcc pam-devel pkgconfig xorg-x11-libX11-devel
%if %build_doc
BuildRequires:  gtk2-devel xmlto
Provides:       ConsoleKit:/usr/share/doc/packages/ConsoleKit/spec/ConcoleKit.html
%endif
Summary:        System daemon for tracking users, sessions and seats
Version:        0.2.1
Release:        57.1
License:        GPL v2 or later
Group:          System/Daemons
AutoReqProv:    on
Source:         %{pkg_name}-%{version}.tar.gz
Source1:        rcconsolekit
Patch:          %{pkg_name}-initscript.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %build_doc == 0
PreReq:         %insserv_prereq pwdutils
PreReq:         pam-config >= 0.22
%ifarch s390x x86_64
PreReq:         %name-32bit
%endif
%endif

%description
ConsoleKit is a system daemon for tracking what users are logged into
the system and how they interact with the computer (e.g. which keyboard
and mouse they use).



Authors:
--------
    William Jon McCann <mccann@jhu.edu>

%debug_package
%if !%{build_doc}

%package -n ConsoleKit-devel
Summary:        Developer package for ConsoleKit
Requires:       %{pkg_name} = %{version}-%{release}, dbus-1-devel
AutoReqProv:    on
Group:          Development/Libraries/Other

%description -n ConsoleKit-devel
Developer package for ConsoleKit



Authors:
--------
    William Jon McCann <mccann@jhu.edu>

%endif

%prep
%setup -q -n ConsoleKit-%{version}
%patch

%build
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
            --prefix=/usr \
	    --libdir=%_libdir \
            --mandir=%_mandir \
	    --sysconfdir=%_sysconfdir \
            --libexecdir=/usr/lib \
	    --enable-pam-module \
	    --with-pam-module-dir=/%_lib/security \
%if %{build_doc}
            --enable-docbook-docs \
%endif
	    --docdir=%_docdir/%{pkg_name}
make

%install
make DESTDIR=%{buildroot} install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/consolekit
ln -sf %{_sysconfdir}/init.d/consolekit $RPM_BUILD_ROOT/%{_sbindir}/rcconsolekit
#no .la files in /
rm -f $RPM_BUILD_ROOT/%_lib/security/pam_ck_connector.la
# no .la files at all:
rm -f $RPM_BUILD_ROOT/%_libdir/*.la
%if %{build_doc}
rm -rf $RPM_BUILD_ROOT/%_libdir/*.so*
rm -rf $RPM_BUILD_ROOT/%_sysconfdir/dbus-1/system.d/ConsoleKit.conf
rm -rf $RPM_BUILD_ROOT/%_sysconfdir/init.d/consolekit
rm -rf $RPM_BUILD_ROOT/%_bindir/
rm -rf $RPM_BUILD_ROOT/%_includedir/ConsoleKit
rm -rf $RPM_BUILD_ROOT/%_libdir/
rm -rf $RPM_BUILD_ROOT/%_sbindir/
rm -rf $RPM_BUILD_ROOT/%_mandir/
rm -rf $RPM_BUILD_ROOT/usr/lib/ck-collect-session-info
rm -rf $RPM_BUILD_ROOT/usr/lib/ck-get-x11-server-pid
rm -rf $RPM_BUILD_ROOT/%_lib/security
rm -rf $RPM_BUILD_ROOT%_libexecdir/pkgconfig/ck-connector.pc
%endif
%if !%{build_doc}

%post
%{insserv_force_if_yast consolekit}
%run_ldconfig
/usr/sbin/pam-config --service login -a --ck_connector

%postun
%{insserv_cleanup}
%run_ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%if %{build_doc}
%_docdir/%{pkg_name}
%else
%_sysconfdir/dbus-1/system.d/ConsoleKit.conf
%_sysconfdir/init.d/consolekit
%_bindir/*
%_libdir/*.so.*
%_sbindir/*
%_mandir/man8/pam_ck_connector.8.gz
/usr/lib/ck-collect-session-info
/usr/lib/ck-get-x11-server-pid
/%_lib/security

%files -n ConsoleKit-devel
%defattr(-,root,root)
%_includedir/ConsoleKit
%_libdir/*.so
%_libexecdir/pkgconfig/ck-connector.pc
%endif

%changelog
* Tue Nov 27 2007 - hmacht@suse.de
- remove 'PreReq: %%name-64bit' for ppc (novell bugs 302148,336678)
* Mon Sep 03 2007 - hmacht@suse.de
- require pam-config >= 0.22 in PreReq (novell bug 306443)
* Sun Sep 02 2007 - ro@suse.de
- no PreReq for doc package
* Wed Aug 29 2007 - hmacht@suse.de
- PreReq either the 32bit or the 64bit pam plugin for pam-config to
  not fail (novell bug 302148)
* Fri Aug 17 2007 - hmacht@suse.de
- run '/usr/sbin/pam-config --service login -a --ck_connector' in
  %%post section (novell bug 297559)
* Mon Aug 06 2007 - hmacht@suse.de
- start ConsoleKit in runlevels 2 3 and 5 (insserv consolekit)
* Sat Aug 04 2007 - aj@suse.de
- Reduce build requires.
* Sat Aug 04 2007 - aj@suse.de
- Split of devel and doc packages.
* Fri Aug 03 2007 - hmacht@suse.de
- remove dbus-1-devel from "Requires:"
* Wed Apr 25 2007 - hmacht@suse.de
- update to version 0.2.1:
    - disable static libs
    - use inotify to detect activity on tty when possible
    - add support for CKCON_X11_DISPLAY_DEVICE environment variable
    - also add ability to toggle debugging when SIGUSR1 is received
    - several autoconf fixes and cleanups
    - typo fixes in documentation
    - misc fixes
* Mon Apr 02 2007 - hmacht@suse.de
- initial checkin
